package com.sky.ioc.controller.dashboard;

import com.sky.ioc.service.supermarket.SupermarketService;
import com.sky.ioc.tool.ReturnMsg;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * TODO
 *
 * @Description
 * @Author LunCe
 * @Date 2023/2/23 10:32
 **/

@Api(tags ="智能看板----商超模块")
@Slf4j
@RestController("dashboard_supermarket")
@RequestMapping("/dashboard_supermarket")
public class SupermarketController {



    @Autowired
    private SupermarketService supermarketService;




    @ApiOperation("查询智能看板统计画像的商超核心指标")
    @GetMapping("getSupermarketCoreIndicators")
    public ReturnMsg getSupermarketCoreIndicators(){
        return supermarketService.getSupermarketCoreIndicators();
    }



    @ApiOperation("查询智能看板统计画像的商超信息报表")
    @GetMapping("getSupermarketInfoList")
    public ReturnMsg  getSupermarketInfoList(){
        return supermarketService.getSupermarketInfoList();
    }



}
