package com.sky.ioc.controller.operation;

import com.sky.ioc.entity.params.IocDateParam;
import com.sky.ioc.service.carbon.CarbonService;
import com.sky.ioc.tool.ReturnMsg;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * TODO
 *
 * @Description
 * @Author LunCe
 * @Date 2023/3/6 10:06
 **/


@Api(tags ="智慧运营----运营分析")
@Slf4j
@RestController
@RequestMapping("/analyse")
public class AnalyseController {


    @Autowired
    private CarbonService carbonService;

    @ApiOperation("核心指标")
    @PostMapping("/getAnalyseCoreIndicators")
    public ReturnMsg getAnalyseCoreIndicators(@RequestBody IocDateParam iocDateParam){
        return carbonService.getAnalyseCoreIndicators(iocDateParam);
    }




    @ApiOperation("用水核心指标")
    @PostMapping("/getAnalyseWaterCoreIndicators")
    public ReturnMsg getAnalyseWaterCoreIndicators(@RequestBody IocDateParam iocDateParam){
        return carbonService.getAnalyseWaterCoreIndicators(iocDateParam);
    }



    @ApiOperation("用电核心指标")
    @PostMapping("/getAnalysePowerCoreIndicators")
    public ReturnMsg getAnalysePowerCoreIndicators(@RequestBody IocDateParam iocDateParam){
        return carbonService.getAnalysePowerCoreIndicators(iocDateParam);
    }


    @ApiOperation("用热核心指标")
    @PostMapping("/getAnalyseHotCoreIndicators")
    public ReturnMsg getAnalyseHotCoreIndicators(@RequestBody IocDateParam iocDateParam){
        return carbonService.getAnalyseHotCoreIndicators(iocDateParam);
    }

    @ApiOperation("用冷核心指标")
    @PostMapping("/getAnalyseColdCoreIndicators")
    public ReturnMsg getAnalyseColdCoreIndicators(@RequestBody IocDateParam iocDateParam){
        return carbonService.getAnalyseColdCoreIndicators(iocDateParam);
    }


    @ApiOperation("光伏核心指标")
    @PostMapping("/getAnalyseCpvCoreIndicators")
    public ReturnMsg getAnalyseCpvCoreIndicators(@RequestBody IocDateParam iocDateParam){
        return carbonService.getAnalyseCpvCoreIndicators(iocDateParam);
    }


    @ApiOperation("总能源趋势")
    @PostMapping("/getEnergyTrendsTotal")
    public ReturnMsg getEnergyTrendsTotal(@RequestBody IocDateParam iocDateParam){
        return carbonService.getEnergyTrendsTotal(iocDateParam);
    }


    @ApiOperation("光伏能源趋势")
    @PostMapping("/getEnergyTrendsAnalyseCpv")
    public ReturnMsg getEnergyTrendsAnalyseCpv(@RequestBody IocDateParam iocDateParam){
        return carbonService.getEnergyTrendsAnalyseCpv(iocDateParam);
    }
    @ApiOperation("光伏能源分布中的图表")
    @PostMapping("/getEnergyTrendsAnalyseCpvInfo")
    public ReturnMsg getEnergyTrendsAnalyseCpvInfo(@RequestBody IocDateParam iocDateParam){
        return carbonService.getEnergyTrendsAnalyseCpvInfo(iocDateParam);
    }

    @ApiOperation("用冷能源趋势")
    @PostMapping("/getEnergyTrendsAnalyseCold")
    public ReturnMsg getEnergyTrendsAnalyseCold(@RequestBody IocDateParam iocDateParam){
        return carbonService.getEnergyTrendsAnalyseCold(iocDateParam);
    }

    @ApiOperation("用热能源趋势")
    @PostMapping("/getEnergyTrendsAnalyseHot")
    public ReturnMsg getEnergyTrendsAnalyseHot(@RequestBody IocDateParam iocDateParam){
        return carbonService.getEnergyTrendsAnalyseHot(iocDateParam);
    }


    @ApiOperation("用电能源趋势")
    @PostMapping("/getEnergyTrendsAnalysePower")
    public ReturnMsg getEnergyTrendsAnalysePower(@RequestBody IocDateParam iocDateParam){
        return carbonService.getEnergyTrendsAnalysePower(iocDateParam);
    }

    @ApiOperation("用热能源趋势")
    @PostMapping("/getEnergyTrendsAnalyseWater")
    public ReturnMsg getEnergyTrendsAnalyseWater(@RequestBody IocDateParam iocDateParam){
        return carbonService.getEnergyTrendsAnalyseWater(iocDateParam);
    }


    @ApiOperation("总能源分析(饼状图)")
    @PostMapping("/getEnergyAnalysisTotal")
    public ReturnMsg getEnergyAnalysisTotal(@RequestBody IocDateParam iocDateParam){
        return carbonService.getEnergyAnalysisTotal(iocDateParam);
    }
    @ApiOperation("水能源分析(饼状图)")
    @PostMapping("/getEnergyAnalysisWater")
    public ReturnMsg getEnergyAnalysisWater(@RequestBody IocDateParam iocDateParam){
        return carbonService.getEnergyAnalysisWater(iocDateParam);
    }

    @ApiOperation("用电能源分析(饼状图)")
    @PostMapping("/getEnergyAnalysisPower")
    public ReturnMsg getEnergyAnalysisPower(@RequestBody IocDateParam iocDateParam){
        return carbonService.getEnergyAnalysisPower(iocDateParam);
    }
    @ApiOperation("热能源分析(饼状图)")
    @PostMapping("/getEnergyAnalysisHot")
    public ReturnMsg getEnergyAnalysisHot(@RequestBody IocDateParam iocDateParam){
        return carbonService.getEnergyAnalysisHot(iocDateParam);
    }

    @ApiOperation("总能源分析统计")
    @PostMapping("/getEnergyAnalysisTotalInfo")
    public ReturnMsg getEnergyAnalysisTotalInfo(@RequestBody IocDateParam iocDateParam){
        return carbonService.getEnergyAnalysisTotalInfo(iocDateParam);
    }
    @ApiOperation("水能源分析统计")
    @PostMapping("/getEnergyAnalysisWaterInfo")
    public ReturnMsg getEnergyAnalysisWaterInfo(@RequestBody IocDateParam iocDateParam){
        return carbonService.getEnergyAnalysisWaterInfo(iocDateParam);
    }

    @ApiOperation("用电能源分析统计")
    @PostMapping("/getEnergyAnalysisPowerInfo")
    public ReturnMsg getEnergyAnalysisPowerInfo(@RequestBody IocDateParam iocDateParam){
        return carbonService.getEnergyAnalysisPowerInfo(iocDateParam);
    }
    @ApiOperation("热能源分析统计")
    @PostMapping("/getEnergyAnalysisHotInfo")
    public ReturnMsg getEnergyAnalysisHotInfo(@RequestBody IocDateParam iocDateParam){
        return carbonService.getEnergyAnalysisHotInfo(iocDateParam);
    }

    @ApiOperation("冷能源分析")
    @PostMapping("/getEnergyAnalysisClod")
    public ReturnMsg getEnergyAnalysisClod(@RequestBody IocDateParam iocDateParam){
        return carbonService.getEnergyAnalysisClod(iocDateParam);
    }
    @ApiOperation("光伏能源分析")
    @PostMapping("/getEnergyAnalysisCpv")
    public ReturnMsg getEnergyAnalysisCpv(@RequestBody IocDateParam iocDateParam){
        return carbonService.getEnergyAnalysisCpv(iocDateParam);
    }




}
