package com.sky.ioc.controller.work;

import com.sky.ioc.entity.params.IocDateParam;
import com.sky.ioc.service.carbon.CarbonService;
import com.sky.ioc.tool.ReturnMsg;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.lang.annotation.Retention;

/**
 * TODO
 * @Description
 * @Author LunCe
 * @Date 2023/2/28 16:02
 **/


@Api(tags ="智慧办公----公车管理")
@Slf4j
@RestController
@RequestMapping("/bus")
public class BusController {


    @Autowired
    private CarbonService carbonService;




    @ApiOperation("核心指标")
    @PostMapping("/getBusCoreIndicators")
    public ReturnMsg getBusCoreIndicators(@RequestBody IocDateParam iocDateParam){
        return carbonService.getBusCoreIndicators(iocDateParam);
    }


    @ApiOperation("公车情况")
    @PostMapping("/getBusInfo")
    public ReturnMsg getBusInfo(@RequestBody IocDateParam iocDateParam){
        return carbonService.getBusInfo(iocDateParam);
    }




    @ApiOperation("成本趋势")
    @PostMapping("/getBusCostTrend")
    public ReturnMsg getBusCostTrend(@RequestBody IocDateParam iocDateParam){
        return carbonService.getBusCostTrend(iocDateParam);
    }





}
