package com.sky.ioc.controller.work;

import com.sky.ioc.entity.params.IocDateParam;
import com.sky.ioc.service.space.SpaceService;
import com.sky.ioc.tool.ReturnMsg;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * TODO
 * @Description  智慧办公 ---- 楼层概括
 * @Author LunCe
 * @Date 2023/2/28 15:39
 **/

@Api(tags ="智慧办公----楼层概括")
@Slf4j
@RestController
@RequestMapping("/floor")
public class FloorController {


    @Autowired
    private SpaceService spaceService;


    @ApiOperation("核心指标")
    @PostMapping("/getFloorCoreIndicators")
    public ReturnMsg getFloorCoreIndicators(@RequestBody IocDateParam iocDateParam){
        return spaceService.getFloorCoreIndicators(iocDateParam);
    }


    @ApiOperation("当日门禁进入人员")
    @PostMapping("/getAccessPersonnel")
    public ReturnMsg getAccessPersonnel(@RequestBody IocDateParam iocDateParam){
        return spaceService.getAccessPersonnel(iocDateParam);
    }




    @ApiOperation("楼层概览")
    @PostMapping("/getFloorList")
    public ReturnMsg getFloorList(@RequestBody IocDateParam iocDateParam){
        return spaceService.getFloorList(iocDateParam);
    }









}
