package com.sky.ioc.controller.work;

import com.sky.ioc.entity.params.IocDateParam;
import com.sky.ioc.service.space.SpaceService;
import com.sky.ioc.tool.ReturnMsg;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * TODO
 *
 * @Description 智慧办公----会议管理
 * @Author LunCe
 * @Date 2023/2/28 15:51
 **/

@Api(tags ="智慧办公----会议管理")
@Slf4j
@RestController
@RequestMapping("/meeting")
public class MeetingController {


    @Autowired
    private SpaceService spaceService;


    @ApiOperation("核心指标")
    @PostMapping("/getMeetingCoreIndicators")
    public ReturnMsg getMeetingCoreIndicators(@RequestBody IocDateParam iocDateParam){
        return spaceService.getMeetingCoreIndicators(iocDateParam);
    }


    @ApiOperation("成本趋势")
    @PostMapping("/getMeetingCostTrend")
    public ReturnMsg getMeetingCostTrend(@RequestBody IocDateParam iocDateParam){
        return spaceService.getMeetingCostTrend(iocDateParam);
    }




    @ApiOperation("会议室情况")
    @PostMapping("/getConferenceRoomInfo")
    public ReturnMsg getConferenceRoomInfo(@RequestBody IocDateParam iocDateParam){
        return spaceService.getConferenceRoomInfo(iocDateParam);
    }


}
