package com.sky.ioc.controller.work;

import com.sky.ioc.entity.params.IocDateParam;
import com.sky.ioc.service.carbon.CarbonService;
import com.sky.ioc.service.space.SpaceService;
import com.sky.ioc.tool.ReturnMsg;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * TODO
 *
 * @Description
 * @Author LunCe
 * @Date 2023/2/28 15:56
 **/


@Api(tags ="智慧办公----文印管理")
@Slf4j
@RestController
@RequestMapping("/print")
public class PrintingController {



    @Autowired
    private CarbonService carbonService;


    @ApiOperation("核心指标")
    @PostMapping("/getPrintingCoreIndicators")
    public ReturnMsg getPrintingCoreIndicators(@RequestBody IocDateParam iocDateParam){
        return carbonService.getPrintingCoreIndicators(iocDateParam);
    }


    @ApiOperation("成本趋势")
    @PostMapping("/getPrintingCostTrend")
    public ReturnMsg getPrintingCostTrend(@RequestBody IocDateParam iocDateParam){
        return carbonService.getPrintingCostTrend(iocDateParam);
    }




    @ApiOperation("文印情况")
    @PostMapping("/getConferenceRoomInfo")
    public ReturnMsg getConferenceRoomInfo(@RequestBody IocDateParam iocDateParam){
        return carbonService.getConferenceRoomInfo(iocDateParam);
    }



}
