package com.sky.ioc.service.canteen.impl;

import com.alibaba.fastjson.JSONObject;
import com.sky.ioc.entity.Indeicator;
import com.sky.ioc.entity.Label;
import com.sky.ioc.entity.Cake;
import com.sky.ioc.entity.params.IocDateParam;
import com.sky.ioc.service.canteen.RestaurantService;
import com.sky.ioc.tool.FalseData;
import com.sky.ioc.tool.GeneralMethod;
import com.sky.ioc.tool.ReturnMsg;
import org.springframework.stereotype.Service;

import java.text.DecimalFormat;
import java.util.ArrayList;
import java.util.List;
import java.util.concurrent.ThreadLocalRandom;


/**
 * @author LunCe
 */
@Service
public class RestaurantServiceImpl implements RestaurantService {


    /**
     * TODO  查询智慧生活中智慧餐厅的支付分析
     *
     * @Description
     * @Param dateType
     * @Return java.lang.String
     * @Author LunCe
     * @date 2023/2/10 11:25
     */
    @Override
    public ReturnMsg getPaymentAnalysis(IocDateParam iocDateParam) {
        List<Cake> list = new ArrayList<>();
        list.add(new Cake("Offline"));
        list.add(new Cake("scanningCode"));
        list.add(new Cake("payCard"));
        list.add(new Cake("Face"));
        return ReturnMsg.ok(list);
    }


    /**
     * 查询智慧生活中智慧餐厅的核心指标
     */
    @Override
    public ReturnMsg getCoreIndicators(IocDateParam iocDateParam) {
        Indeicator indeicator = new Indeicator();
        List<JSONObject> objects = indeicator.getList();
       /* ThreadLocalRandom random = ThreadLocalRandom.current();
        int totalPerson = random.nextInt(100, 3000);
        int dayPerson = random.nextInt(150,500);
        while (dayPerson>totalPerson){
            dayPerson  = random.nextInt(150,500);
        }
        int price = random.nextInt(15,50);
        int totalPrice = price*totalPerson;
        float compare = (float) Math.random();
        DecimalFormat decimalFormat = new DecimalFormat("#.0");
        compare = Float.parseFloat(decimalFormat.format(compare));
        objects.get(0).put("value",dayPerson);
        objects.get(0).put("compare",compare);

        objects.get(1).put("value",totalPerson);
        objects.get(1).put("compare",compare);

        objects.get(2).put("value",totalPrice);
        objects.get(2).put("compare",-compare);

        objects.get(3).put("value",price);
        objects.get(3).put("compare",compare);*/

        objects.get(0).put("value",400);
        objects.get(0).put("compare",0.4);

        objects.get(1).put("value",2000);
        objects.get(1).put("compare",0.4);

        objects.get(2).put("value",18);
        objects.get(2).put("compare",-0.4);

        objects.get(3).put("value",18);
        objects.get(3).put("compare",0.4);
        indeicator.setWorthAttention("员工偏爱川菜，建议增加");
        indeicator.setList(objects);
        return ReturnMsg.ok(indeicator);
    }

    /**
     * 查询智慧生活中智慧餐厅的欢迎菜品
     */
    @Override
    public ReturnMsg getWelcomeDishes(IocDateParam iocDateParam) {
        return ReturnMsg.ok(FalseData.CUISINELIST);
    }



    /**
     * 查询智慧生活中智慧餐厅的消费分析
     */
    @Override
    public ReturnMsg getConsumptionAnalysis(IocDateParam iocDateParam) {
        String[] param = {"breakfast","lunch","dinner","breakfastPrice","lunchPrice","dinnerPrice"};
        String[] labKey = {"1月","2月","3月","4月","5月","6月","7月","8月","9月","10月","11月","12月"};
        List<Label> labels1 = GeneralMethod.getInstance().dataGeneration(param, labKey);
        return ReturnMsg.ok(labels1);
    }


    /**
     * 查询智慧生活中智慧餐厅的今日菜谱
     */
    @Override
    public ReturnMsg getTodayMenu() {
        return ReturnMsg.ok(FalseData.CUISINELIST);
    }

    /**
     * 查询智慧生活中智慧餐厅的盈利分析
     */
    @Override
    public ReturnMsg getProfitAnalysis(IocDateParam iocDateParam) {
        List<Cake> list = new ArrayList<>();
        list.add(new Cake("breakfast"));
        list.add(new Cake("lunch"));
        list.add(new Cake("dinner"));
        return ReturnMsg.ok(list);
    }

    /**
     * 查询智慧生活中智慧餐厅的用餐分析
     */
    @Override
    public ReturnMsg getMealAnalysis(IocDateParam iocDateParam) {
        String[] param = {"passengerFlow","eat","proportion"};
        String[] labKey = {"1月","2月","3月","4月","5月","6月","7月","8月","9月","10月","11月","12月"};
        List<Label> labels1 = GeneralMethod.getInstance().dataGeneration(param, labKey);
        return ReturnMsg.ok(labels1);
    }

    /**
     * TODO 查询智能看板统计画像的餐厅消费态势的核心指标
     * @Description
     * @Return com.sky.ioc.tool.ReturnMsg
     * @Author LunCe
     * @date 2023/2/22 15:22
     */
    @Override
    public ReturnMsg getRestaurantConsumption() {
        Indeicator indeicator = new Indeicator();
        List<JSONObject> objects = indeicator.getList();
        ThreadLocalRandom random = ThreadLocalRandom.current();
        int orderConut = random.nextInt(500, 3000);//订单数
        int price = random.nextInt(10,50);//单价
        int thirdPay = random.nextInt(1000,10000);//第三方支付
        int totalPrice = orderConut*price;//总金额
        while (thirdPay>totalPrice){
            thirdPay = random.nextInt(1000,10000);//第三方支付
        }
        objects.get(0).put("value",totalPrice);
        objects.get(0).put("compare",0.4);
        objects.get(1).put("value",orderConut);
        objects.get(1).put("compare",0.4);
        objects.get(2).put("value",price);
        objects.get(2).put("compare",0.4);

        objects.get(3).put("value",thirdPay);
        indeicator.setWorthAttention("提高合同额");
        indeicator.setList(objects);
        return ReturnMsg.ok(indeicator);
    }


    /**
     * TODO
     * @Description 查询智能看板统计画像的餐厅统计消费信息报表
     * @Return com.sky.ioc.tool.ReturnMsg
     * @Author LunCe
     * @date 2023/2/22 15:22
     */
    @Override
    public ReturnMsg getRestaurantConsumptionChart() {
        String[] param = {"consumptionAmount","consumptionOrder"};
        String[] labKey = {"1月","2月","3月","4月","5月","6月","7月","8月","9月","10月","11月","12月"};
        List<Label> labels1 = GeneralMethod.getInstance().dataGeneration(param, labKey);
        return ReturnMsg.ok(labels1);
    }
}
