package com.sky.ioc.service.fitness.impl;

import com.alibaba.fastjson.JSONObject;
import com.sky.ioc.entity.Environment;
import com.sky.ioc.entity.Indeicator;
import com.sky.ioc.entity.Label;
import com.sky.ioc.entity.params.IocDateParam;
import com.sky.ioc.service.fitness.HealthService;
import com.sky.ioc.tool.FalseData;
import com.sky.ioc.tool.GeneralMethod;
import com.sky.ioc.tool.ReturnMsg;
import org.springframework.stereotype.Service;

import java.text.DecimalFormat;
import java.util.ArrayList;
import java.util.List;
import java.util.concurrent.ThreadLocalRandom;

/**
 * TODO 健康小屋
 * @Description
 * @Author LunCe
 * @Date 2023/2/10 17:35
 **/

@Service
public class HealthServiceImpl implements HealthService {
    @Override
    public ReturnMsg getCoreIndicators(IocDateParam iocDateParam) {
        Indeicator indeicator = new Indeicator();
        List<JSONObject> objects = indeicator.getList();
       /* ThreadLocalRandom random = ThreadLocalRandom.current();
        int totalPerson = random.nextInt(100, 300);
        int healthPerson = random.nextInt(50,260);
        while (healthPerson>totalPerson){
            healthPerson  = random.nextInt(50,260);
        }
        int unHealthPerson = totalPerson - healthPerson;
        float compare = (float) Math.random();
        DecimalFormat decimalFormat = new DecimalFormat("#.0");
        compare = Float.parseFloat(decimalFormat.format(compare));
        objects.get(0).put("value",totalPerson);
        objects.get(0).put("compare",compare);

        objects.get(1).put("value",healthPerson);
        objects.get(1).put("compare",compare);

        objects.get(2).put("value",unHealthPerson);
        objects.get(2).put("compare",-compare);
        objects.get(3).put("value","腰椎问题");*/
        objects.get(0).put("value",100);
        objects.get(0).put("compare",0.4);

        objects.get(1).put("value",20);
        objects.get(1).put("compare",0.4);

        objects.get(2).put("value",21);
        objects.get(2).put("compare",-0.4);
        objects.get(3).put("value","高血压");
        indeicator.setWorthAttention("员工腰椎问题持续上升");
        indeicator.setList(objects);
        return ReturnMsg.ok(indeicator);
    }

    @Override
    public ReturnMsg getHutAnalysis(IocDateParam iocDateParam) {
        String[] param = {"warehousing","physicalExamination"};
        String[] labKey = {"1月","2月","3月","4月","5月","6月","7月","8月","9月","10月","11月","12月"};
        List<Label> labels1 = GeneralMethod.getInstance().dataGeneration(param, labKey);
        return ReturnMsg.ok(labels1);
    }

    @Override
    public ReturnMsg getEnvironmentalDetection(IocDateParam iocDateParam) {
        List<Environment> arrayList = new ArrayList<>();
        arrayList.add(new Environment("pm","pm2.5","1"));
        arrayList.add(new Environment("pm","pm2.5","2"));

        arrayList.add(new Environment("hm","湿度","1"));
        arrayList.add(new Environment("hm","湿度","2"));

        arrayList.add(new Environment("tm","温度","1"));
        arrayList.add(new Environment("tm","温度","2"));
        return ReturnMsg.ok(FalseData.REPORTFORMSLIST3);
    }
}
