package com.sky.ioc.service.security.impl;

import com.alibaba.fastjson.JSONObject;
import com.sky.ioc.entity.GiveAlarm;
import com.sky.ioc.entity.Indeicator;
import com.sky.ioc.entity.Label;
import com.sky.ioc.entity.Cake;
import com.sky.ioc.entity.params.IocDateParam;
import com.sky.ioc.service.security.SecurityService;
import com.sky.ioc.tool.GeneralMethod;
import com.sky.ioc.tool.ReturnMsg;
import org.springframework.stereotype.Service;

import java.text.DecimalFormat;
import java.util.ArrayList;
import java.util.List;
import java.util.concurrent.ThreadLocalRandom;

/**
 * TODO
 *
 * @Description
 * @Author LunCe
 * @Date 2023/3/7 10:03
 **/


@Service
public class SecurityServiceImpl implements SecurityService {
    @Override
    public ReturnMsg getLinkageCoreIndicators(IocDateParam iocDateParam) {
        Indeicator indeicator = new Indeicator();
        List<JSONObject> objects = indeicator.getList();
        ThreadLocalRandom random = ThreadLocalRandom.current();
        DecimalFormat decimalFormat = new DecimalFormat("#.0");
        int totalThings = random.nextInt(100, 2000);
        int urgencyThings = random.nextInt(10, 100);
        int doneThings = random.nextInt(100, 2000);
        while (urgencyThings>totalThings){
            urgencyThings = random.nextInt(10, 100);
        }
        while (doneThings>totalThings){
            doneThings = random.nextInt(100, 2000);
        }
        float compare = (float) Math.random();
        compare = Float.parseFloat(decimalFormat.format(compare));
        objects.get(0).put("value",totalThings);
        objects.get(0).put("compare",compare);

        objects.get(1).put("value",urgencyThings);
        objects.get(1).put("compare",compare);

        objects.get(2).put("value",doneThings);
        objects.get(2).put("compare",compare);

        objects.get(3).put("value","设备离线");
        objects.get(3).put("compare",compare);
        indeicator.setWorthAttention("稳定性有待增强");
        indeicator.setList(objects);
        return ReturnMsg.ok(indeicator);
    }

    @Override
    public ReturnMsg getAlarmTrend(IocDateParam iocDateParam) {
        String[] param = {"commonly","important","urgent"};
        String[] labKey = {"1月","2月","3月","4月","5月","6月","7月","8月","9月","10月","11月","12月"};
        List<Label> labels1 = GeneralMethod.getInstance().dataGeneration(param, labKey);
        return ReturnMsg.ok(labels1);
    }

    @Override
    public ReturnMsg getAlarmClassification(IocDateParam iocDateParam) {
        String[] param = {"alarmNumber"};
        String[] labKey = {"1月","2月","3月","4月","5月","6月","7月","8月","9月","10月","11月","12月"};
        List<Label> labels1 = GeneralMethod.getInstance().dataGeneration(param, labKey);
        return ReturnMsg.ok(labels1);
    }

    @Override
    public ReturnMsg getEquipmentOnline(IocDateParam iocDateParam) {
        String[] param = {"camera","waterImmersion"};
        String[] labKey = {"1月","2月","3月","4月","5月","6月","7月","8月","9月","10月","11月","12月"};
        List<Label> labels1 = GeneralMethod.getInstance().dataGeneration(param, labKey);
        return ReturnMsg.ok(labels1);
    }

    @Override
    public ReturnMsg getFloorAlarmDistribution(IocDateParam iocDateParam) {
        List<Cake> list = new ArrayList<>();
        list.add(new Cake("B2"));
        list.add(new Cake("B1"));
        list.add(new Cake("firstFloor"));
        return ReturnMsg.ok(list);
    }

    @Override
    public ReturnMsg getGiveAlarmList(IocDateParam iocDateParam) {
        List<GiveAlarm> list = new ArrayList<>();
        list.add(new GiveAlarm());
        list.add(new GiveAlarm());
        list.add(new GiveAlarm());
        list.add(new GiveAlarm());
        list.add(new GiveAlarm());
        list.add(new GiveAlarm());
        return ReturnMsg.ok(list);
    }
}
