package com.sky.ioc.service.supermarket.impl;

import com.alibaba.fastjson.JSONObject;
import com.sky.ioc.entity.Indeicator;
import com.sky.ioc.entity.Label;
import com.sky.ioc.entity.params.IocDateParam;
import com.sky.ioc.service.supermarket.SupermarketService;
import com.sky.ioc.tool.FalseData;
import com.sky.ioc.tool.GeneralMethod;
import com.sky.ioc.tool.ReturnMsg;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;
import java.math.RoundingMode;
import java.text.DecimalFormat;
import java.util.List;
import java.util.concurrent.ThreadLocalRandom;

/**
 * TODO
 *
 * @Description
 * @Author LunCe
 * @Date 2023/2/10 14:19
 **/
@Service
public class SupermarketServiceImpl implements SupermarketService {
    @Override
    public ReturnMsg getCoreIndicators(IocDateParam iocDateParam) {
        Indeicator indeicator = new Indeicator();
        List<JSONObject> objects = indeicator.getList();
        /*ThreadLocalRandom random = ThreadLocalRandom.current();
        int orderCount = random.nextInt(100, 3000);
        int orderprice = random.nextInt(50,150);
        int price = random.nextInt(1,20);

        BigDecimal bigDecimal = new BigDecimal(orderprice*orderCount);
        BigDecimal decimal = bigDecimal.divide(new BigDecimal("10000"));
        DecimalFormat formater = new DecimalFormat("#.0");

        // 格式化完成之后得出结果
        double totalPrice = Double.parseDouble(formater.format(decimal));
        float compare = (float) Math.random();
        DecimalFormat decimalFormat = new DecimalFormat("#.0");
        compare = Float.parseFloat(decimalFormat.format(compare));

        objects.get(0).put("value",totalPrice);
        objects.get(0).put("compare",compare);

        objects.get(1).put("value",orderCount);
        objects.get(1).put("compare",compare);

        objects.get(2).put("value",orderprice);
        objects.get(2).put("compare",-compare);

        objects.get(3).put("value",price);
        objects.get(3).put("compare",compare);*/
        objects.get(0).put("value",100);
        objects.get(0).put("compare",0.4);

        objects.get(1).put("value",2100);
        objects.get(1).put("compare",0.4);

        objects.get(2).put("value",21);
        objects.get(2).put("compare",-0.4);

        objects.get(3).put("value",1);
        objects.get(3).put("compare",0.4);
        indeicator.setWorthAttention("本月盈利将达12万元");
        indeicator.setList(objects);
        return ReturnMsg.ok(indeicator);
    }

    @Override
    public ReturnMsg getQuotientAnalysiss(IocDateParam iocDateParam) {
        String[] param = {"morningTotal","afternoonTotal","morningOrder","afternoonOrder","averageOrder"};
        String[] labKey = {"1月","2月","3月","4月","5月","6月","7月","8月","9月","10月","11月","12月"};
        List<Label> labels1 = GeneralMethod.getInstance().dataGeneration(param, labKey);
        return ReturnMsg.ok(labels1);
    }

    @Override
    public ReturnMsg getProductRanking(IocDateParam iocDateParam) {
        return ReturnMsg.ok(FalseData.SUPERMARKETLIST);
    }

    @Override
    public ReturnMsg getSupermarketInfoList() {
        String[] param = {"consumptionAmount","consumptionOrder"};
        String[] labKey = {"1月","2月","3月","4月","5月","6月","7月","8月","9月","10月","11月","12月"};
        List<Label> labels1 = GeneralMethod.getInstance().dataGeneration(param, labKey);
        return ReturnMsg.ok(labels1);
    }

    @Override
    public ReturnMsg getSupermarketCoreIndicators() {
        Indeicator indeicator = new Indeicator();
        List<JSONObject> objects = indeicator.getList();
        ThreadLocalRandom random = ThreadLocalRandom.current();
        int orderConut = random.nextInt(500, 3000);//订单数
        int price = random.nextInt(10,50);//单价
        int thirdPay = random.nextInt(1000,10000);//第三方支付
        int totalPrice = orderConut*price;//总金额
        while (thirdPay>totalPrice){
            thirdPay = random.nextInt(1000,10000);//第三方支付
        }
        float compare = (float) Math.random();
        DecimalFormat decimalFormat = new DecimalFormat("#.0");
        compare = Float.parseFloat(decimalFormat.format(compare));

        objects.get(0).put("value",totalPrice);
        objects.get(0).put("compare",compare);

        objects.get(1).put("value",orderConut);
        objects.get(1).put("compare",compare);

        objects.get(2).put("value",price);
        objects.get(2).put("compare",compare);

        objects.get(3).put("value",thirdPay);

        indeicator.setWorthAttention("提高合同额");
        indeicator.setList(objects);
        return ReturnMsg.ok(indeicator);
    }
}
